package type;
public class ulongListHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( id(),"ulongList",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3))));
	public ulongListHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, int[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static int[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/ulongList:1.0";
	}
	public static int[] read(org.omg.CORBA.portable.InputStream _in)
	{
		int[] _result;
		int _l_result = _in.read_long();
		_result = new int[_l_result];
		_in.read_long_array(_result,0,_l_result);
		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, int[] _s)
	{
		
		_out.write_long(_s.length);
_out.write_long_array(_s,0,_s.length);
	}
}
